Summary:	Print RPM dump of specfile
Summary(pl.UTF-8):	Narzędzie wypisujące RPM-owy zrzut pliku spec
Name:		rpm-specdump
Version:	0.6
Release:	1
License:	GPL
Group:		Applications/System
Source0:	%{name}.c
Source1:	Makefile
BuildRequires:	rpm-devel
# commented out due to mixed env on builders
#%requires_eq	rpm-lib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Print RPM dump of specfile.

%description -l pl.UTF-8
Narzędzie wypisujące RPM-owy zrzut (dump) pliku spec.

%prep
%setup -qcT
ln -s %{SOURCE0} .
ln -s %{SOURCE1} .

%build
%{__make} \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -p %{name} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rpm-specdump
%changelog
* Tue Nov 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rpm-specdump.git;a=log;h=master

* Mon Nov 24 2014 Elan Ruusamäe <glen@delfi.ee> 0cf659b
- inline commonly used macros

* Mon Nov 24 2014 Elan Ruusamäe <glen@delfi.ee> f164fe0
- install -p

* Mon Nov 24 2014 Elan Ruusamäe <glen@delfi.ee> b7abcb1
- version 0.6 for new features

* Mon Nov 24 2014 Elan Ruusamäe <glen@delfi.ee> 846d963
- parse URL header

* Mon Nov 24 2014 Elan Ruusamäe <glen@delfi.ee> fbfd746
- move Makefile out of .spec

* Mon Apr 15 2013 Elan Ruusamäe <glen@delfi.ee> 8551a53
- add PACKAGE_SUMMARY header dump

* Thu Dec 13 2012 Kacper Kornet <draenog@pld-linux.org> dafe329
- rel. 2

* Thu Dec 13 2012 Kacper Kornet <draenog@pld-linux.org> 22c309c
- Silence errors about not existing patches

* Thu Sep 27 2012 Elan Ruusamäe <glen@delfi.ee> 1b7a1d1
- new ver for rpm5 compat :)

* Mon Sep 24 2012 Jan Rękorajski <baggins@pld-linux.org> 78adb39
- rebuild with fixed rpm macros
- release 9 (by relup.sh)

* Fri Sep 21 2012 Jan Rękorajski <baggins@pld-linux.org> aa37ad9
- release 8

* Fri Sep 14 2012 Jan Rękorajski <baggins@pld-linux.org> 189aeb0
- temp disable rpm-lib req

* Fri Sep 14 2012 Jan Rękorajski <baggins@pld-linux.org> 1d108af
- halfway to rpm5

* Sat Sep 08 2012 Jan Rękorajski <baggins@pld-linux.org> 010d09d
- rpmio.h is needed for rpm5 and doesn not hurt on rpm4

* Sat Sep 08 2012 Jan Rękorajski <baggins@pld-linux.org> 96ef691
- fixed building with rpm 5.4.x

* Tue Dec 08 2009 Elan Ruusamäe <glen@pld-linux.org> 4c66d48
- release 7

* Wed Jan 14 2009 hawk <hawk@pld-linux.org> f46fad5
- release 6

* Sun Nov 16 2008 Elan Ruusamäe <glen@pld-linux.org> 1a2f7f4
- -lrpmdb -lrpmio

* Sat Nov 15 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c65519a
- release 4

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 96da908
- release 3

